
 LinHES - Bug # 27: Microsoft MCE remote keyboard does not work in the installer.

Status: Closed Priority: Normal
Author: GregFrost Category:
Created: 11/22/2008 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: It requires the lirc_mod_mce.ko module, and that module does not appear to be included.

History
12/03/2008 10:37 am - martin1802
Hi ...
I have problem with mceremote ... but are there different versions of that remote?

My remote is recognized and the following modules are loaded ... 

[root@wohnzimmer2 ~]# lsmod |grep -i mce
lirc_mceusb2           13700  0
lirc_dev               13364  1 lirc_mceusb2
usbcore               132080  5 usb_storage,lirc_mceusb2,ehci_hcd,uhci_hcd

02/06/2009 10:06 am - martin1802
Hi ...

Thanks ... MCE Remote now works on .05 standard installation :-) ... maybe only the mapping of some keys is a little bit bad :-) ... I try to change it and 
send an alternate config file ...

Martin

02/20/2009 11:59 pm - GregFrost
Martin, This item is for the MCE Remote Keyboard ref: http://www.microsoft.com/danmark/hardware/systembuilders/ProductDetails.aspx?pid=001. Not 
just the MCE remote. I just tried with .06 and the keyboard still does not work. The keyboard uses the same receiver as the mce remote, but the Linhes 
.06 setup only allows the remote to work. To configure the system to allow the remote *AND* keyboard to work, the lirc_mod_mce.ko module must be 
used instead of the lirc_mceusb2.ko module. The wiki page http://www.knoppmythwiki.org/index.php?page=Media_Center_Edition_Remote_Control 
covers how this was done for R5.5, but I have no Idea how to update the installer to include lirc_mod_mce.ko. I'm going to need help from cesman or 
jams to get this to work.

05/08/2009 08:38 pm - GregFrost
I just tried installing a version that cesman made available to me to see if the MCE keyboard worked in the installer. The keyboard sort of worked in that 
it received keypresses, but for each keypress, it behaved as if the key was held down. So it would type the letter, pause briefly and then repeat the 
letter rapidly. I switched to a virtual console (ctrl-alt-f2) and when I typed in that console, it did not have the same problem, however when I held a key 
down, it wasnt repeated. Any suggestions as to how to track this issue down?

05/08/2009 09:43 pm - GregFrost
I found some info in this thread http://ubuntuforums.org/archive/index.php/t-941129.html

Quote:
7. Now download the lirc_mod_mce v.0.1.5 file from http://sourceforge.net/project/showf...kage_id=203215 
(http://sourceforge.net/project/showfiles.php?group_id=171688&package_id=203215), but be sure to download version 0.1.5 and NOT the v0.2.0. **The 
later one has the famous "keypress repeats forever"-bug and should be avoided.** Unpack the archive on e.g. your desktop.
05/11/2009 08:43 am - GregFrost
I worked out how to build packages on a linhes install and built a lirc package using lirc_mod_mce-0.1.5 instead of the 0.2.0 and lo and behold it works.

I bumped the pkgrel in the package from 6 to 7.
Updated the lirc_mod_mce.patch and the PKGBUILD.
Updated the md5sums.
Attached is the resulting source package.

Please incorporate and close this task.

05/19/2009 09:57 pm - jams
Update to version -10 of the lirc pkg and see if it works.

05/22/2009 09:05 pm - GregFrost
Tested -10 and it works fine. Thanks. I look forward to the next release where this is available in the installer.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04

Files
lirc-0.8.5CVS-7.src.tar.gz 18.4 kB 05/11/2009 admin
